
# SUFF is the versioning suffix added to binaries and resource files.
# To get rid of it (and do a non-versionned install, for example), do:
#   make whatever SUFF=

#SUFF ?=-$(VER)
SUFF ?=

VER = 1.9.6

# SETUP.

# Installation paths

# BASE_DIR:      like --prefix for configure
# BASE_DIR_ARCH: like --exec-prefix for configure
BASE_DIR ?= /usr
BASE_DIR_ARCH ?= $(BASE_DIR)

FLEXML= flexml$(SUFF)
FLEXML_ACT = flexml-act$(SUFF)

BINDIR  = $(BASE_DIR_ARCH)/bin
LIBDIR  = $(BASE_DIR_ARCH)/lib
SHARE   = $(BASE_DIR)/share
MAN1DIR = $(SHARE)/man/man1
DOCDIR  = $(SHARE)/doc/$(FLEXML)
DATADIR = $(SHARE)/$(FLEXML)
TMPDIR  = /var/tmp

ACT     ?= $(LIBDIR)/$(FLEXML_ACT)
SKEL    ?= $(DATADIR)/skel

# Permanent program locations
PERL_DIR = /usr/bin
PERL     = $(PERL_DIR)/perl
POD2MAN  = $(PERL_DIR)/pod2man
POD2HTML = $(PERL_DIR)/pod2html

FLEX     = /usr/bin/flex
SYMLINK = ln -s

# Build compilation setup.
CC = gcc -Wall -ansi -pedantic -Wno-implicit-function-declaration
CFLAGS = -O2 -g
#FLEXDEBUG = -d

INSTALL ?= install

# Web location.

WEBHOME = info:public_html
FTPHOME = info:public_html/ftp/FleXML
